Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class DefaultTransformListHandler

    java.lang.Object
      org.apache.batik.parser.DefaultTransformListHandler

All Implemented Interfaces:
  TransformListHandler

    public class DefaultTransformListHandler

extends Object
implements TransformListHandler

This class provides an adapter for TransformListHandler.

Field Summary
`static TransformListHandler` | `INSTANCE` The only instance of this class.

Constructor Summary
`protected` | `DefaultTransformListHandler()` This class does not need to be instantiated.

Method Summary
`void` | `endTransformList()` Implements `TransformListHandler.endTransformList()`.
`void` | `matrix(float a, float b, float c, float d, float e, float f)` Implements `TransformListHandler.matrix(float,float,float,float,float,float)`.
`void` | `rotate(float theta)` Implements `TransformListHandler.rotate(float)`.
`void` | `rotate(float theta, float cx, float cy)` Implements `TransformListHandler.rotate(float,float,float)`.
`void` | `scale(float sx)` Implements `TransformListHandler.scale(float)`.
`void` | `scale(float sx, float sy)` Implements `TransformListHandler.scale(float,float)`.
`void` | `skewX(float skx)` Implements `TransformListHandler.skewX(float)`.
`void` | `skewY(float sky)` Implements `TransformListHandler.skewY(float)`.
`void` | `startTransformList()` Implements `TransformListHandler.startTransformList()`.
`void` | `translate(float tx)` Implements `TransformListHandler.translate(float)`.
`void` | `translate(float tx, float ty)` Implements `TransformListHandler.translate(float,float)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final TransformListHandler INSTANCE

  The only instance of this class.

Constructor Detail

### DefaultTransformListHandler

    protected DefaultTransformListHandler()

  This class does not need to be instantiated.

Method Detail

### startTransformList

    public void startTransformList()
                            throws ParseException

  Implements `TransformListHandler.startTransformList()`.

  Specified by:
    `startTransformList` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### matrix

    public void matrix(float a,
                       float b,
                       float c,
                       float d,
                       float e,
                       float f)
                throws ParseException

  Implements `TransformListHandler.matrix(float,float,float,float,float,float)`.

  Specified by:
    `matrix` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### rotate

    public void rotate(float theta)
                throws ParseException

  Implements `TransformListHandler.rotate(float)`.

  Specified by:
    `rotate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### rotate

    public void rotate(float theta,
                       float cx,
                       float cy)
                throws ParseException

  Implements `TransformListHandler.rotate(float,float,float)`.

  Specified by:
    `rotate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### translate

    public void translate(float tx)
                   throws ParseException

  Implements `TransformListHandler.translate(float)`.

  Specified by:
    `translate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### translate

    public void translate(float tx,
                          float ty)
                   throws ParseException

  Implements `TransformListHandler.translate(float,float)`.

  Specified by:
    `translate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### scale

    public void scale(float sx)
               throws ParseException

  Implements `TransformListHandler.scale(float)`.

  Specified by:
    `scale` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### scale

    public void scale(float sx,
                      float sy)
               throws ParseException

  Implements `TransformListHandler.scale(float,float)`.

  Specified by:
    `scale` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### skewX

    public void skewX(float skx)
               throws ParseException

  Implements `TransformListHandler.skewX(float)`.

  Specified by:
    `skewX` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### skewY

    public void skewY(float sky)
               throws ParseException

  Implements `TransformListHandler.skewY(float)`.

  Specified by:
    `skewY` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### endTransformList

    public void endTransformList()
                          throws ParseException

  Implements `TransformListHandler.endTransformList()`.

  Specified by:
    `endTransformList` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.